<?php

declare(strict_types=1);

namespace Dedi\SyliusCustomerPricingPlugin\Entity\ChannelPricing\Organization;

use Dedi\SyliusCustomerPricingPlugin\Entity\ChannelPricing\TypeAwareInterface;
use Dedi\SyliusCustomerPricingPlugin\Entity\Customer\OrganizationInterface;
use Sylius\Component\Core\Model\ChannelPricingInterface;

interface OrganizationChannelPricingInterface extends ChannelPricingInterface, TypeAwareInterface
{
    public function getOrganization(): ?OrganizationInterface;

    public function setOrganization(?OrganizationInterface $organization = null): self;
}
