<?php

declare(strict_types=1);

namespace Dedi\SyliusCustomerPricingPlugin\EventListener\Admin;

use Knp\Menu\ItemInterface;
use Sylius\Bundle\UiBundle\Menu\Event\MenuBuilderEvent;

class ChannelPricingMenuBuilder
{
    public function addItem(MenuBuilderEvent $event): void
    {
        $menu = $event->getMenu()->getChild('sales');

        if ($menu instanceof ItemInterface) {
            $menu
                ->addChild('channel_pricing', ['route' => 'sylius_admin_channel_pricing_index'])
                ->setLabel('dedi_sylius_customer_pricing_plugin.ui.channel_pricings')
                ->setLabelAttribute('icon', 'tags')
            ;
        }
    }
}
