<?php

declare(strict_types=1);

namespace Dedi\SyliusCustomerPricingPlugin\Factory;

use Dedi\SyliusCustomerPricingPlugin\Entity\ChannelPricing\CustomerGroup\CustomerGroupChannelPricing;
use Dedi\SyliusCustomerPricingPlugin\Entity\ChannelPricing\CustomerGroup\CustomerGroupChannelPricingInterface;

class CustomerGroupChannelPricingFactory implements CustomerGroupChannelPricingFactoryInterface
{
    public function createNew(): CustomerGroupChannelPricingInterface
    {
        return new CustomerGroupChannelPricing();
    }
}
