<?php

declare(strict_types=1);

namespace Dedi\SyliusCustomerPricingPlugin\Validator\Constraints;

use Dedi\SyliusCustomerPricingPlugin\Validator\UniqueCustomerChannelPricingValidator;
use Symfony\Component\Validator\Constraint;

class UniqueCustomerChannelPricing extends Constraint
{
    public string $customerChannelPricingAlreadyExistsMessage = 'dedi_sylius_customer_pricing_plugin.form.customer_channel_pricing.already_exists';

    public function getTargets()
    {
        return self::CLASS_CONSTRAINT;
    }

    public function validatedBy(): string
    {
        return UniqueCustomerChannelPricingValidator::class;
    }
}
