<?php

declare(strict_types=1);

namespace Tests\Dedi\SyliusCustomerPricingPlugin\Application\src\Factory;

use Dedi\SyliusCustomerPricingPlugin\Entity\ChannelPricing\CustomerGroup\CustomerGroupChannelPricingInterface;
use Dedi\SyliusCustomerPricingPlugin\Factory\CustomerGroupChannelPricingFactory as BaseCustomerGroupChannelPricingFactory;
use Tests\Dedi\SyliusCustomerPricingPlugin\Application\src\Entity\CustomerGroupChannelPricing;

class CustomerGroupChannelPricingFactory extends BaseCustomerGroupChannelPricingFactory
{
    public function createNew(): CustomerGroupChannelPricingInterface
    {
        return new CustomerGroupChannelPricing();
    }
}
